Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class EditorRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.EditorRendererBase

Direct Known Subclasses:
  EditorRenderer

    public class EditorRendererBase

extends InputRendererBase

Author:
  Lukas Fryc

Field Summary
`static String` | `DEFAULT_HEIGHT`
`static String` | `DEFAULT_WIDTH`

Constructor Summary
`EditorRendererBase()`

Method Summary
`String` | `getCKEditorRequestPath(javax.faces.context.FacesContext facesContext)`
`String` | `getECSSQueryString(javax.faces.context.FacesContext facesContext, String resourceName)`
`String` | `resolveUnits(Object dimension)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WIDTH

    public static final String DEFAULT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_HEIGHT

    public static final String DEFAULT_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### EditorRendererBase

    public EditorRendererBase()

Method Detail

### resolveUnits

    public String resolveUnits(Object dimension)

### getCKEditorRequestPath

    public String getCKEditorRequestPath(javax.faces.context.FacesContext facesContext)

### getECSSQueryString

    public String getECSSQueryString(javax.faces.context.FacesContext facesContext,
                                     String resourceName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.